unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, shared, labio;

type
  TAboutDlg = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Label1: TLabel;
    bOK: TButton;
    GroupBox1: TGroupBox;
    edSupplier: TEdit;
    EdModel: TEdit;
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutDlg: TAboutDlg;

implementation

{$R *.DFM}

uses labpc,global ;

procedure TAboutDlg.FormActivate(Sender: TObject);
var
   Supplier,Model : string ;
begin
     SelectLaboratoryInterface( Settings.LaboratoryInterface ) ;
     GetLabInterfaceInfo( Supplier, Model ) ;
     edSupplier.text := Supplier ;
     edModel.text := Model ;
end;

procedure TAboutDlg.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     Action := caFree ;
     end;

end.

